# Enum bot.ErrorCode

code »

Type: `number`

Error codes from the WebDriver wire protocol: http://code.google.com/p/selenium/wiki/JsonWireProtocol#Response_Status_Codes

## Values and Descriptions

ELEMENT_NOT_SELECTABLE
ELEMENT_NOT_VISIBLE
IME_ENGINE_ACTIVATION_FAILED
IME_NOT_AVAILABLE
INVALID_COOKIE_DOMAIN
INVALID_ELEMENT_COORDINATES
INVALID_ELEMENT_STATE
INVALID_SELECTOR_ERROR
INVALID_XPATH_SELECTOR
INVALID_XPATH_SELECTOR_RETURN_TYPE
JAVASCRIPT_ERROR
METHOD_NOT_ALLOWED
MODAL_DIALOG_OPENED
MOVE_TARGET_OUT_OF_BOUNDS
NO_MODAL_DIALOG_OPEN
NO_SUCH_ALERT
NO_SUCH_ELEMENT
NO_SUCH_FRAME
NO_SUCH_WINDOW
SCRIPT_TIMEOUT
SESSION_NOT_CREATED
SQL_DATABASE_ERROR
STALE_ELEMENT_REFERENCE
SUCCESS
TIMEOUT
UNABLE_TO_SET_COOKIE
UNEXPECTED_ALERT_OPEN
UNKNOWN_COMMAND
UNKNOWN_ERROR
UNSUPPORTED_OPERATION
XPATH_LOOKUP_ERROR

Show:Public Protected Private